﻿// application reference variables
var docRef = app.activeDocument;
var selRef = docRef.selection;

// Set four colors to choose from
var fillColor1 = new RGBColor();
fillColor1.red = 130;
fillColor1.green = 110;
fillColor1.blue = 30;

var fillColor2 = new RGBColor();
fillColor2.red = Math.round(Math.random() * 255);
fillColor2.green = Math.round(Math.random() * 255);
fillColor2.blue = Math.round(Math.random() * 255);

var fillColor3 = new RGBColor();
fillColor3.red = 200;
fillColor3.green = 17;
fillColor3.blue = 70;

var fillColor4 = new CMYKColor();
fillColor4.cyan = 100;
fillColor4.yellow = 0;
fillColor4.magenta = 0;
fillColor4.black = 0;

var fillColor5 = new RGBColor();
fillColor1.red = 130;
fillColor1.green = 110;
fillColor1.blue = 30;



// loop through all the selected paths
for (i=0; i<selRef.length; ++i) {
	var pathRef = selRef[i];

	// make sure path has a fill
	pathRef.filled = true;

	// equally distribute between four colors
	var tmpWhich = Math.ceil(Math.random()*5);
	if (tmpWhich == 1) {	
		pathRef.fillColor = fillColor1;
	} else if (tmpWhich == 2) {
		pathRef.fillColor = fillColor2;
 	} else if (tmpWhich == 3) {
		pathRef.fillColor = fillColor3;	
	} else if (tmpWhich == 4) {
		pathRef.fillColor = fillColor4;
	} else if (tmpWhich == 5) {
		pathRef.fillColor = fillColor5;
	}
}
